GET /katello/api/sync_status
200
{
"products": [],
"repo_statuses": {}
}
| Param name | Description |
|---|---|
|
organization_id
optional |
ID of an organization Validations:
|
GET /katello/api/sync_status/poll
200
[
{}
]
| Param name | Description |
|---|---|
|
repository_ids
required |
List of repository IDs to poll Validations:
|
|
organization_id
optional |
ID of an organization Validations:
|
POST /katello/api/sync_status/sync
{
"repository_ids": [
367202338
],
"organization_id": 114267492,
"sync_status": {
"repository_ids": [
367202338
],
"organization_id": 114267492
}
}
200
[
{}
]
| Param name | Description |
|---|---|
|
repository_ids
required |
List of repository IDs to sync Validations:
|
|
organization_id
optional |
ID of an organization Validations:
|
DELETE /katello/api/sync_status/367202338
{
"sync_status": {}
}
200
{
"message": "Sync canceled"
}
| Param name | Description |
|---|---|
|
id
required |
Repository ID Validations:
|